RHEL 7 : ovirt-engine-extension-aaa-jdbc (RHSA-2017:0257)

Medium Nessus Plugin ID 97059


The remote Red Hat host is missing a security update.


An update for ovirt-engine-extension-aaa-jdbc is now available for RHEV Engine version 4.0.

Red Hat Product Security has rated this update as having a security impact of Important. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE link(s) in the References section.

AAA-JDBC is an extension which allows to store authentication and authorization data in relational database and provides these data using standardized oVirt AAA API similarly to already existing AAA-LDAP extension.

Security Fix(es) :

* When updating a password in the rhvm database the ovirt-aaa-jdbc-tool tools fail to correctly check for the current password if it is expired. This would allow access to an attacker with access to change the password on accounts with expired passwords, gaining access to those accounts. (CVE-2017-2614)

This issue was discovered by Dominic Geevarghes (Red Hat).


Update the affected ovirt-engine-extension-aaa-jdbc package.

See Also



Plugin Details

Severity: Medium

ID: 97059

File Name: redhat-RHSA-2017-0257.nasl

Version: $Revision: 3.2 $

Type: local

Agent: unix

Published: 2017/02/08

Modified: 2017/02/10

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Temporal Score: 4.1

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:P/A:N

Temporal Vector: CVSS2#E:F/RL:OF/RC:ND

Vulnerability Information

CPE: p-cpe:/a:redhat:enterprise_linux:ovirt-engine-extension-aaa-jdbc, cpe:/o:redhat:enterprise_linux:7

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2017/02/06

Reference Information

CVE: CVE-2017-2614

OSVDB: 151574

RHSA: 2017:0257